// Main Page Mixin //


@mixin headerMenuItemLink {
    color: $black;
    font-size: 20px;
    font-family: 'Roboto', Arial, sans-serif;
    line-height: 1.55;
    font-weight: 500;
}

@mixin burgerMenuText {
    color: $black;
    font-size: 16px;
    font-weight: 300;
    font-family: 'Roboto', Arial, sans-serif;
} 

@mixin hoverLink {
    position: relative;
    cursor: pointer;
    &::after {
        display: block;
        position: absolute;
        background-color: $brown;
        left: 0;
        width: 0;
        height: 2px;
        content: "";
        transition: width 0.4s ease-out; 
    }

    &:hover {
        color: $black;
        &::after {
            width: 100%;
        }
    }

    &:focus {
        &::after {
            width: 100%;
        }
    }
}

@mixin colorHover {
    position: relative;
    cursor: pointer;

    &::after {
        display: none;
    }

    &:hover {
       color: $beige;
    }

    &:focus {
        color: $beige;
    }
}

@mixin colorBrownHover {
    position: relative;
    cursor: pointer;

    &::after {
        display: none;
    }

    &:hover {
       color: $brown;
    }

    &:focus {
        color: $brown;
    }
}

@mixin sectionMainTitle {
    font-family: 'Playfair Display' ,serif;
    text-align: center;
    font-size: 54px;
    line-height: 84px;
    color: $white;
}

@mixin sectionTitle {
    font-family: 'Playfair Display' ,serif;
    font-size: 34px;
    color: $black;
}

@mixin sectionText {
    font-family: 'Playfair Display',serif;
    font-weight: 300;
    font-size: 24px;
    color: $black;
}

@mixin cardTitle {
    font-family: 'Playfair Display',serif;
    font-size: 20px;
    line-height: 1.35;
    font-weight: 700;
    color: $black;
}

@mixin cardText {
    font-family: 'Playfair Display',serif;
    font-size: 14px;
    line-height: 1.55;
    font-weight: 300;
    color: $black;
}

@mixin cardButton {
    font-family: 'Playfair Display',serif;
    border-radius: 5px;
    height: 45px;
    font-size: 14px;
    padding-left: 30px;
    padding-right: 30px;
    background-color: $black;
    color: $white;
    border: none;
    outline: none;
    transition: 0.4s ease;

    &:hover {
        background-color: $brown;
        transform: scale(1.1);
    }

    a {
        color: $white;
    }

}

@mixin tarologistLibraryTitle {
    font-family: 'Playfair Display', serif;
    font-size: 24px;
    line-height: 1.55;
    font-weight: 600;
    color: $black;
}

@mixin tarologistLibraryText {
    font-family: 'Roboto', Arial, sans-serif;
    font-size: 18px;
    line-height: 1.55;
    font-weight: 400;
    color: $black;
}

@mixin tarologistLibraryLink {
    font-family: 'Roboto', Arial, sans-serif;
    font-size: 16px;
    line-height: 1.55;
    font-weight: 400;
    color: $brown;
    text-transform: uppercase;
}

@mixin slickSliderText {
    font-family: 'Playfair Display';
    font-size: 20px;
    font-weight: 300;
    color: $black;
}

@mixin slickSliderName {
    font-family: 'Playfair Display';
    font-size: 22px;
    font-weight: 600;
    line-height: 1.35;
    color: $black;
}

@mixin slickSliderShop {
    font-family: 'Playfair Display',serif;
    font-weight: 300;
    font-size: 14px;
    line-height: 1.55;
    color: $black;
}

@mixin footerHoverLink {
    position: relative;
    cursor: pointer;
    &::after {
        display: block;
        position: absolute;
        background-color: $white;
        left: 0;
        width: 0;
        height: 2px;
        content: "";
        transition: width 0.4s ease-out; 
    }

    &:hover {
        color: $white;
        &::after {
            width: 100%;
        }
    }

    &:focus {
        &::after {
            width: 100%;
        }
    }
}

@mixin footerCopyright {
    font-family: 'Roboto';
    color: $white;
    font-size: 18px;
    line-height: 1;
    font-weight: 400;
}

@mixin footerColumnTitle {
    color: $white;
    font-size: 20px;
    font-family: 'Roboto', Arial, sans-serif;
    line-height: 1.55;
    font-weight: 600;
}

@mixin footerColumnLink {
    font-family: 'Roboto', Arial, sans-serif;
    color: $white;
    font-size: 18px;
    line-height: 1.55;
    font-weight: 300;
}


// Other Page Mixin //


@mixin tarotPhilosophyQuote {
    font-family: 'Roboto';
    line-height: 1.55;
    font-weight: 300;
    font-size: 18px;
    color: $black;
}

@mixin quoteBlockquote {
    font-family: 'Roboto';
    font-size: 24px;
    line-height: 1.5;
    font-weight: 300;
    color: $brown;
}

@mixin quoteCite {
    font-family: 'Roboto';
    font-size: 24px;
    line-height: 1.5;
    font-weight: 300;
    color: $brown;
}

@mixin description__title {
    font-family: 'Playfair Display';
    font-size: 24px;
    line-height: 1.17;
    font-weight: 600;
    color: $black;

}

@mixin description__text {
    font-family: 'Roboto';
    font-size: 18px;
    line-height: 1.55;
    font-weight: 300;
    color: $black;
}

@mixin questionsTitle {
    font-family: 'Playfair Display';
    font-size: 34px;
    line-height: 1.17;
    font-weight: 600;
    color: $black;
}

@mixin questionsText {
    font-family: 'Roboto';
    font-size: 24px;
    line-height: 1.55;
    font-weight: 300;
    color: $black;
}

@mixin questionsLink {
    font-family: 'Playfair Display';
    font-size: 16px;
    line-height: 60px;
    font-weight: 700;
    color: $black;
    border: 3px solid $black;
    border-radius: 10px;
    text-transform: uppercase;
    transition: 0.4s ease;
}

@mixin questionsHover {
    &:hover {
        background-color: $brown;
        color: $white;
        border: 3px solid $brown;
        transform: scale(1.1);
    }
}

@mixin largeTitle {
    font-family: 'Playfair Display';
    font-size: 82px;
    line-height: 1.17;
    font-weight: 600;
    color: $largeTitle;
}

@mixin mediumTitle {
    font-family: 'Playfair Display';
    font-size: 64px;
    line-height: 1.23;
    font-weight: 600;
    color: $black;
}

@mixin blogCardTitle {
    font-family: 'Playfair Display',serif;
    font-size: 26px;
    line-height: 1.23;
    font-weight: 600;
    color: $black;
}

@mixin blogCardText {
    font-family: 'Playfair Display',serif;
    font-size: 16px;
    line-height: 1.55;
    font-weight: 300;
    color: $grey;
}

@mixin saleDescriptionText {
    font-family: 'Playfair Display',serif;
    font-weight: 300;
    font-size: 20px;
    line-height: 1.55;
    color: $black; 
}

@mixin tab {
    font-family: 'Roboto',Arial,sans-serif;
    font-size: 14px;
    line-height: 1.55;
    font-weight: 400;
    border-radius: 30px;
    background-color: $beige;
    color: $black;
    transition: 0.4s ease;
    padding: 0 15px;
    height: 30px;
    display: flex;
    align-items: center;
    flex-direction: column;
    justify-content: center;

    &:hover {
        background-color: $brown;
        color: $white;
    }
}

@mixin cardItemTitle {
    font-family: 'Roboto', Arial, sans-serif;
    font-size: 21px;
    line-height: 1.3;
    font-weight: 300;
    text-align: center;
    color: $black;
}

@mixin cardItemText {
    font-family: 'Roboto', Arial, sans-serif;
    font-size: 12px;
    line-height: 1.3;
    font-weight: 300;
    text-align: center;
    color: $black;
}

@mixin cardItemLink {
    font-family: 'Roboto', Arial, sans-serif;
    font-size: 14px;
    line-height: 1.3;
    font-weight: 400;
    display: block;
    text-align: center;
    text-transform: uppercase;
    color: $brown;
    transition: 0.4s ease;

    &:hover {
        transform: scale(1.1);
    }

    @media (max-width: 768px) {
        display: none;
    }
}

@mixin formLabel {
    font-family: 'Playfair Display',serif;
    font-size: 20px;
    font-weight: 300;
    line-height: 1.55;
    color: $black;
}

@mixin lenormanMainCardTitle {
    font-family: 'Playfair Display',serif;
    font-size: 28px;
    line-height: 1.55;
    font-weight: 400;
    color: $black;
}

@mixin lenormanMainCardText {
    font-family: 'Roboto',Arial,sans-serif;
    font-size: 20px;
    line-height: 1.55;
    font-weight: 400;
    color: $black;
}

@mixin lenormanMainCardButton {
    display: block;
    font-family: 'Roboto',Arial,sans-serif;
    font-size: 20px;
    line-height: 1.55;
    font-weight: 600;
    border-radius: 5px;
    width: 300px;
    height: 50px;
    background-color: $black;
    border: none;
    outline: none;
    transition: 0.4s ease;
    &:hover {
        transform: scale(1.1);
        background-color: $brown;
    }
}

@mixin lenormanMainCardLink {
    color: $white;
} 

@mixin instructionText{
    font-family: 'Roboto', Arial, sans-serif;
    font-size: 18px;
    line-height: 1.55;
    font-weight: 400;
    color: $black;
}

@mixin workbookTitle {
    font-family: 'Playfair Display',serif;
    font-size: 34px;
    line-height: 1.55;
    font-weight: 600;
    color: $white;
}

@mixin workbookText {
    font-family: 'Roboto', Arial, sans-serif;
    font-size: 18px;
    line-height: 1.55;
    font-weight: 400;
    color: $white;   
} 

@mixin paragraphInProgress {
    font-family: 'Roboto', Arial, sans-serif;
    font-size: 28px;
    line-height: 1.55;
    font-weight: 400;
    color: $white;   
}

@mixin workbookButton {
    font-family: 'Arial', Arial, sans-serif;
    font-size: 16px;
    line-height: 1.55;
    font-weight: 600;
    background-color: $brown;
    border-radius: 10px;
    width: 250px;
    height: 55px;
    display: flex;
    align-items: center;
    justify-content: center;
    transition: 0.4s ease;

    &:hover {
        transform: scale(1.1);
    }
}

@mixin workbookLink{
    color: $white;
}

@mixin descriptionTarotTitle {
    font-family: 'Playfair Display';
    letter-spacing: 2.5px;
    font-weight: 600;
    font-size: 26px;
    color: $white;
}

@mixin descriptionTarotText {
    font-family: 'Roboto';
    line-height: 1.5;
    font-size: 16px;
    font-weight: 300;
    color: $white;
}

@mixin tabsMobileText {
    font-family: 'Roboto';
    font-style: normal;
    font-weight: 700;
    font-size: 16px;
    line-height: 19px;
    color: $black;
    
}

@mixin breadcrumbLink{
    font-family: 'Roboto';
    font-style: normal;
    font-weight: 400;
    font-size: 14px;
    line-height: 16px;
    color: $black;
    display: block;
    margin: 0 20px;
    transition: 0.4s ease;
}

@mixin itemMainLink {
    font-size: 18px;
    font-family: 'Roboto', Arial, sans-serif;
    line-height: 1.55;
    font-weight: 600;
    color: $white;
    background-color: $black;
    width: 100%;
    display: flex;
    justify-content: center;
    align-items: center;
    height: 55px;
    transition: 0.4s ease;

    &:hover {
        background-color: $brown;
    }
}

@mixin tableItemTitle {
    font-family: 'Roboto', Arial, sans-serif;
    font-weight: 600;
    font-size: 16px;
    color: $black;
    padding-top: 15px;
    padding-bottom: 15px;
    padding-left: 15px;
    border-bottom: 1px solid $black;
}

@mixin tableItemText {
    font-family: 'Roboto', Arial, sans-serif;
    font-weight: 300;
    font-size: 16px;
    color: $grey;
    padding-top: 5px;
    padding-bottom: 5px;
    padding-left: 15px;
    border-bottom: 1px solid $greyHover;
}

@mixin tableItemLink {
    font-family: 'Roboto', Arial, sans-serif;
    display: block;
    font-weight: 300;
    font-size: 16px;
    color: $brown;
    padding-top: 5px;
    padding-bottom: 5px;
    padding-left: 15px;
    border-bottom: 1px solid $greyHover;
}

@mixin arcanaLink {
    font-family: 'Roboto', Arial, sans-serif;
    display: block;
    font-size: 18px;
    line-height: 1.3;
    font-weight: 400;
    color: $black;
    transition: 0.4s ease;

    &:hover {
        color: $brown;
        transform: scale(1.1);
    }
}

@mixin listArcanaTitle {
    font-family: 'Roboto', Arial, sans-serif;
    font-size: 24px;
    line-height: 1;
    font-weight: 700;
    color: $black;
    text-align: center;
}

@mixin descriptionValueTitle {
    font-family: 'Playfair Display';
    font-size: 24px;
    line-height: 1.17;
    font-weight: 600;
    color: $brown;
    text-align: center;
}


@mixin cardValueName {
    position: absolute;
    width: 100%;
    left: 50%;
    top: -10px;
    transform: translateX(-50%);
    text-align: center;
    font-size: 12px;
    color: $black;

    @media (max-width: 768px) {
        display: none;
    }
}